# Place search

`GET` `/v1/local/place_search`

Search for points of interest in an area. If no `q` is provided, the endpoint will return general points of interest in the given area.

**Base URL:** `https://api.search.brave.com/res`

## Authorization

| Name | Location | Type | Required | Constraints | Description |
|------|----------|------|----------|-------------|-------------|
| `x-subscription-token` | header | string | Yes |  | The subscription token that was generated for the product. |

## Query Parameters

| Name | Location | Type | Required | Constraints | Description |
|------|----------|------|----------|-------------|-------------|
| `radius` | query | string | No | min `0` | Search radius bias around the given coordinates, in meters. **NOTE**: This is not strictly the radius of the search (nor the resulting radius of the results), but rather a bias towards results that are closer to the given coordinates. Search is performed globally if no radius is provided. |
| `count` | query | integer | No | `1`-`100`; default `20` | Number of results to return. The maximum is 100. |
| `country` | query | string | No | `AR`, `AU`, `AT`, `BE`, `BR`, `CA`, `CL`, `DK`, `FI`, `FR`, `DE`, `GR`, `HK`, `IN`, `ID`, `IT`, `JP`, `KR`, `MY`, `MX`, `NL`, `NZ`, `NO`, `CN`, `PL`, `PT`, `PH`, `RU`, `SA`, `ZA`, `ES`, `SE`, `CH`, `TW`, `TR`, `GB`, `US`, `ALL`; default `US` | Two-letter country code (ISO 3166-1 alpha-2) to scope the search. |
| `search_lang` | query | string | No | `ar`, `eu`, `bn`, `bg`, `ca`, `zh-hans`, `zh-hant`, `hr`, `cs`, `da`, `nl`, `en`, `en-gb`, `et`, `fi`, `fr`, `gl`, `de`, `el`, `gu`, `he`, `hi`, `hu`, `is`, `it`, `ja`, `jp`, `kn`, `ko`, `lv`, `lt`, `ms`, `ml`, `mr`, `nb`, `pl`, `pt-br`, `pt-pt`, `pa`, `ro`, `ru`, `sr`, `sk`, `sl`, `es`, `sv`, `ta`, `te`, `th`, `tr`, `uk`, `vi`; default `en` | Language for the search results. |
| `ui_lang` | query | string | No | `es-AR`, `en-AU`, `de-AT`, `nl-BE`, `fr-BE`, `pt-BR`, `en-CA`, `fr-CA`, `es-CL`, `da-DK`, `fi-FI`, `fr-FR`, `de-DE`, `el-GR`, `zh-HK`, `en-IN`, `en-ID`, `it-IT`, `ja-JP`, `ko-KR`, `en-MY`, `es-MX`, `nl-NL`, `en-NZ`, `no-NO`, `zh-CN`, `pl-PL`, `en-PH`, `ru-RU`, `en-ZA`, `es-ES`, `sv-SE`, `fr-CH`, `de-CH`, `zh-TW`, `tr-TR`, `en-GB`, `en-US`, `es-US`; default `en-US` | User interface language for the response. Usually `<language>-<region>`. |
| `units` | query | string | No | `imperial`, `metric`; default `metric` | Units of measurement for distance values: `metric` is kilometres, `imperial` is miles. |
| `safesearch` | query | string | No | `off`, `moderate`, `strict`; default `strict` | Safe search level for the query results. |
| `spellcheck` | query | boolean | No | default `true` | Whether to apply spellcheck before executing the search. |
| `geoloc` | query | string | No |  | Optional geolocation of the user in the format `<latitude>x<longitude>`. Used to calculate distance values in results. |
| `q` | query | string | No | default `` | Query string to search for points of interest in an area. If no `q` is provided, the endpoint will return general points of interest in the given area. |
| `latitude` | query | string | No | `-90`-`90` | Latitude of the geographical coordinates. |
| `longitude` | query | string | No | `-180`-`180` | Longitude of the geographical coordinates. |
| `location` | query | string | No |  | Location string to search for points of interest in an area. This is alternative to the `latitude` and `longitude` parameters. * For locations in US prefer the form `<city> <state> <country name>`, ie. `san francisco ca united states` * For non-US locations, use the form `<city> <country name>`, ie. `tokyo japan` * No need for commas or other special chars, capitalization does not matter * We cover multiple languages: `nueva york` instead of `new york` works, but using English or the most popular language on the target city should work the best |

## Headers

| Name | Location | Type | Required | Constraints | Description |
|------|----------|------|----------|-------------|-------------|
| `api-version` | header | string | No |  | The API version to use. This is denoted by the format `YYYY-MM-DD`. Default is the latest that is available. Read more about [API versioning](/documentation/guides/versioning). |
| `accept` | header | string | No | `application/json`, `*/*`; default `application/json` | The default supported media type is application/json. |
| `cache-control` | header | string | No | `no-cache` | Brave Search will return cached content by default. To prevent caching set the Cache-Control header to `no-cache`. This is currently done as best effort. |
| `user-agent` | header | string | No |  | The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see [RFC 9110](https://www.rfc-editor.org/rfc/rfc9110.html#name-user-agent). |

## Responses

### 200
Successful Response

| Field | Type | Description |
|-------|------|-------------|
| `type` | string? |  |
| `query` | object? | The query object containing the original and potentially spell-corrected query. |
| `query.original` | string | The original query that was requested. |
| `query.altered` | string? | The altered query by the spellchecker. This is the query that is used to search. |
| `query.spellcheck_off` | bool? | Whether the spellchecker is enabled or disabled. |
| `query.show_strict_warning` | bool? | The value is `true` if the lack of results is due to a `strict` safesearch setting. Adult content relevant to the query was found, but was blocked by safesearch. |
| `results` | object[]? | The list of points of interest results for the given quer. |
| `results[].title` | string | The title of the web page. |
| `results[].url` | string | The URL where the page is served. |
| `results[].is_source_local` | bool? | Whether the result is from a local source. |
| `results[].is_source_both` | bool? | Whether the result is from both local and global sources. |
| `results[].description` | string? | A description for the web page. |
| `results[].page_age` | string? | The page's date, based on its published or last modified date. |
| `results[].page_fetched` | string? | A date representing when the web page was last fetched. |
| `results[].fetched_content_timestamp` | int? | The timestamp when the content was fetched. |
| `results[].profile` | object? | A profile associated with the web page. |
| `results[].profile.name` | string | The name of the profile. |
| `results[].profile.url` | string | The original URL where the profile is available. |
| `results[].profile.long_name` | string? | The long name of the profile. |
| `results[].profile.img` | string? | The served image URL representing the profile. |
| `results[].language` | string? | A language classification for the web page. |
| `results[].family_friendly` | bool? | Whether the web page is family friendly. |
| `results[].type` | string? | Location result type identifier. The value is always `location_result`. |
| `results[].provider_url` | string | The complete URL of the provider. |
| `results[].coordinates` | array? | A list of coordinates associated with the location. This is a lat long represented as a floating point. |
| `results[].zoom_level` | int? | The zoom level on the map. |
| `results[].thumbnail` | object? | The thumbnail associated with the location. |
| `results[].thumbnail.src` | string | The served URL of the picture thumbnail. |
| `results[].thumbnail.alt` | string? | The alt text for the thumbnail image. |
| `results[].thumbnail.height` | int? | The height of the thumbnail. |
| `results[].thumbnail.width` | int? | The width of the thumbnail. |
| `results[].thumbnail.bg_color` | string? | The background color of the thumbnail. |
| `results[].thumbnail.original` | string? | The original URL of the image. |
| `results[].thumbnail.logo` | bool? | Whether the thumbnail is a logo. |
| `results[].thumbnail.duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `results[].thumbnail.theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `results[].postal_address` | object? | The postal address associated with the location. |
| `results[].postal_address.type` | string? | The type identifying a postal address. The value is always `PostalAddress`. |
| `results[].postal_address.country` | string? | The country associated with the location. |
| `results[].postal_address.postalCode` | string? | The postal code associated with the location. |
| `results[].postal_address.streetAddress` | string? | The street address associated with the location. |
| `results[].postal_address.addressRegion` | string? | The region associated with the location. This is usually a state. |
| `results[].postal_address.addressLocality` | string? | The address locality or subregion associated with the location. |
| `results[].postal_address.displayAddress` | string | The displayed address string. |
| `results[].opening_hours` | object? | The opening hours, if it is a business, associated with the location. |
| `results[].opening_hours.current_day` | object[]? | The current day opening hours. Can have two sets of opening hours. |
| `results[].opening_hours.current_day[].abbr_name` | string | A short string representing the day of the week. |
| `results[].opening_hours.current_day[].full_name` | string | A full string representing the day of the week. |
| `results[].opening_hours.current_day[].opens` | string | A 24 hr clock time string for the opening time of the business on a particular day. |
| `results[].opening_hours.current_day[].closes` | string | A 24 hr clock time string for the closing time of the business on a particular day. |
| `results[].opening_hours.days` | object[][]? | The opening hours for the whole week. |
| `results[].contact` | object? | The contact of the business associated with the location. |
| `results[].contact.email` | string? | The email address. |
| `results[].contact.telephone` | string? | The telephone number. |
| `results[].price_range` | string? | A display string used to show the price classification for the business. |
| `results[].rating` | object? | The ratings of the business. |
| `results[].rating.ratingValue` | number | The current value of the rating. |
| `results[].rating.bestRating` | number | Best rating received. |
| `results[].rating.reviewCount` | int? | The number of reviews associated with the rating. |
| `results[].rating.profile` | object? | The profile associated with the rating. |
| `results[].rating.profile.name` | string | The name of the profile. |
| `results[].rating.profile.url` | string | The original URL where the profile is available. |
| `results[].rating.profile.long_name` | string? | The long name of the profile. |
| `results[].rating.profile.img` | string? | The served image URL representing the profile. |
| `results[].rating.is_tripadvisor` | bool? | Whether the rating is coming from Tripadvisor. |
| `results[].distance` | object? | The distance of the location from the client. |
| `results[].distance.value` | number | The quantity of the unit. |
| `results[].distance.units` | string | The name of the unit associated with the quantity. |
| `results[].profiles` | object[]? | Profiles associated with the business. |
| `results[].profiles[].type` | string? | The type representing the source of data. This is usually `external`. |
| `results[].profiles[].name` | string | The name of the data provider. This can be a domain. |
| `results[].profiles[].url` | string | The URL where the information is coming from. |
| `results[].profiles[].long_name` | string? | The long name for the data provider. |
| `results[].profiles[].img` | string? | The served URL for the image data. |
| `results[].reviews` | object? | Aggregated reviews from various sources relevant to the business. |
| `results[].reviews.results` | object[] | A list of trip advisor reviews for the entity. |
| `results[].reviews.results[].title` | string | The title of the review. |
| `results[].reviews.results[].description` | string | A description seen in the review. |
| `results[].reviews.results[].date` | string | The date when the review was published. |
| `results[].reviews.results[].rating` | object | A rating given by the reviewer. |
| `results[].reviews.results[].rating.ratingValue` | number | The current value of the rating. |
| `results[].reviews.results[].rating.bestRating` | number | Best rating received. |
| `results[].reviews.results[].rating.reviewCount` | int? | The number of reviews associated with the rating. |
| `results[].reviews.results[].rating.profile` | object? | The profile associated with the rating. |
| `results[].reviews.results[].rating.profile.name` | string | The name of the profile. |
| `results[].reviews.results[].rating.profile.url` | string | The original URL where the profile is available. |
| `results[].reviews.results[].rating.profile.long_name` | string? | The long name of the profile. |
| `results[].reviews.results[].rating.profile.img` | string? | The served image URL representing the profile. |
| `results[].reviews.results[].rating.is_tripadvisor` | bool? | Whether the rating is coming from Tripadvisor. |
| `results[].reviews.results[].author` | object | The author of the review. |
| `results[].reviews.results[].author.type` | string? | A type identifying a person. The value is always `person`. |
| `results[].reviews.results[].author.name` | string | The name of the thing. |
| `results[].reviews.results[].author.url` | string? | A URL for the thing. |
| `results[].reviews.results[].author.thumbnail` | object? | Thumbnail associated with the thing. |
| `results[].reviews.results[].author.thumbnail.src` | string | The served URL of the picture thumbnail. |
| `results[].reviews.results[].author.thumbnail.alt` | string? | The alt text for the thumbnail image. |
| `results[].reviews.results[].author.thumbnail.height` | int? | The height of the thumbnail. |
| `results[].reviews.results[].author.thumbnail.width` | int? | The width of the thumbnail. |
| `results[].reviews.results[].author.thumbnail.bg_color` | string? | The background color of the thumbnail. |
| `results[].reviews.results[].author.thumbnail.original` | string? | The original URL of the image. |
| `results[].reviews.results[].author.thumbnail.logo` | bool? | Whether the thumbnail is a logo. |
| `results[].reviews.results[].author.thumbnail.duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `results[].reviews.results[].author.thumbnail.theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `results[].reviews.results[].author.email` | string? | Email address of the person. |
| `results[].reviews.results[].review_url` | string | A URL link to the page where the review can be found. |
| `results[].reviews.results[].language` | string | The language of the review. |
| `results[].reviews.viewMoreUrl` | string | A URL to a web page where more information on the result can be seen. |
| `results[].reviews.reviews_in_foreign_language` | bool | Any reviews available in a foreign language. |
| `results[].pictures` | object? | A bunch of pictures associated with the business. |
| `results[].pictures.viewMoreUrl` | string? | A URL to view more pictures. |
| `results[].pictures.results` | object[] | A list of thumbnail results. |
| `results[].pictures.results[].src` | string | The served URL of the picture thumbnail. |
| `results[].pictures.results[].alt` | string? | The alt text for the thumbnail image. |
| `results[].pictures.results[].height` | int? | The height of the thumbnail. |
| `results[].pictures.results[].width` | int? | The width of the thumbnail. |
| `results[].pictures.results[].bg_color` | string? | The background color of the thumbnail. |
| `results[].pictures.results[].original` | string? | The original URL of the image. |
| `results[].pictures.results[].logo` | bool? | Whether the thumbnail is a logo. |
| `results[].pictures.results[].duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `results[].pictures.results[].theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `results[].action` | object? | An action to be taken. |
| `results[].action.type` | string | The type representing the action. |
| `results[].action.url` | string | A URL representing the action to be taken. |
| `results[].serves_cuisine` | string[]? | A list of cuisine categories served. |
| `results[].categories` | string[]? | A list of categories. |
| `results[].icon_category` | string? | An icon category. |
| `results[].timezone` | string? | IANA timezone identifier. |
| `results[].timezone_offset` | int? | The UTC offset of the timezone. |
| `results[].id` | string? | A temporary id associated with this result, which can be used to retrieve extra information about the location. It remains valid for 8 hours. |
| `results[].results` | object[]? | Web results related to this location. |
| `results[].results[].title` | string | The title of the web page. |
| `results[].results[].url` | string | The URL where the page is served. |
| `results[].results[].is_source_local` | bool? | Whether the result is from a local source. |
| `results[].results[].is_source_both` | bool? | Whether the result is from both local and global sources. |
| `results[].results[].description` | string? | A description for the web page. |
| `results[].results[].page_age` | string? | The page's date, based on its published or last modified date. |
| `results[].results[].page_fetched` | string? | A date representing when the web page was last fetched. |
| `results[].results[].fetched_content_timestamp` | int? | The timestamp when the content was fetched. |
| `results[].results[].profile` | object? | A profile associated with the web page. |
| `results[].results[].profile.name` | string | The name of the profile. |
| `results[].results[].profile.url` | string | The original URL where the profile is available. |
| `results[].results[].profile.long_name` | string? | The long name of the profile. |
| `results[].results[].profile.img` | string? | The served image URL representing the profile. |
| `results[].results[].language` | string? | A language classification for the web page. |
| `results[].results[].family_friendly` | bool? | Whether the web page is family friendly. |
| `results[].results[].meta_url` | object | Aggregated information about the URL. |
| `results[].results[].meta_url.scheme` | string | The protocol scheme extracted from the URL. |
| `results[].results[].meta_url.netloc` | string | The network location part extracted from the URL. |
| `results[].results[].meta_url.hostname` | string? | The lowercased domain name extracted from the URL. |
| `results[].results[].meta_url.favicon` | string | The favicon used for the URL. |
| `results[].results[].meta_url.path` | string | The hierarchical path of the URL useful as a display string. |
| `cities` | object[]? | The list of city results for the given query. |
| `cities[].type` | string? | City result type identifier. The value is always `city`. |
| `cities[].name` | string | The name of the city. |
| `cities[].country` | string | The country of the city. |
| `cities[].coordinates` | array | A pair of coordinates (lat, long) for the city. |
| `cities[].thumbnail` | object | Primary image for the city. |
| `cities[].thumbnail.src` | string | The served URL of the picture thumbnail. |
| `cities[].thumbnail.alt` | string? | The alt text for the thumbnail image. |
| `cities[].thumbnail.height` | int? | The height of the thumbnail. |
| `cities[].thumbnail.width` | int? | The width of the thumbnail. |
| `cities[].thumbnail.bg_color` | string? | The background color of the thumbnail. |
| `cities[].thumbnail.original` | string? | The original URL of the image. |
| `cities[].thumbnail.logo` | bool? | Whether the thumbnail is a logo. |
| `cities[].thumbnail.duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `cities[].thumbnail.theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `countries` | object[]? | The list of country results for the given query. |
| `countries[].type` | string? | Country result type identifier. The value is always `country`. |
| `countries[].name` | string | The name of the country. |
| `countries[].country` | string | The country of the result. |
| `countries[].coordinates` | array | A pair of coordinates (lat, long) for the country. |
| `countries[].thumbnail` | object | Primary image for the country. |
| `countries[].thumbnail.src` | string | The served URL of the picture thumbnail. |
| `countries[].thumbnail.alt` | string? | The alt text for the thumbnail image. |
| `countries[].thumbnail.height` | int? | The height of the thumbnail. |
| `countries[].thumbnail.width` | int? | The width of the thumbnail. |
| `countries[].thumbnail.bg_color` | string? | The background color of the thumbnail. |
| `countries[].thumbnail.original` | string? | The original URL of the image. |
| `countries[].thumbnail.logo` | bool? | Whether the thumbnail is a logo. |
| `countries[].thumbnail.duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `countries[].thumbnail.theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `regions` | object[]? | The list of region results for the given query. |
| `regions[].type` | string? | Region result type identifier. The value is always `region`. |
| `regions[].name` | string | The name of the region. |
| `regions[].country` | string | The country of the region. |
| `regions[].coordinates` | array | A pair of coordinates (lat, long) for the region. |
| `regions[].thumbnail` | object | Primary image for the region. |
| `regions[].thumbnail.src` | string | The served URL of the picture thumbnail. |
| `regions[].thumbnail.alt` | string? | The alt text for the thumbnail image. |
| `regions[].thumbnail.height` | int? | The height of the thumbnail. |
| `regions[].thumbnail.width` | int? | The width of the thumbnail. |
| `regions[].thumbnail.bg_color` | string? | The background color of the thumbnail. |
| `regions[].thumbnail.original` | string? | The original URL of the image. |
| `regions[].thumbnail.logo` | bool? | Whether the thumbnail is a logo. |
| `regions[].thumbnail.duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `regions[].thumbnail.theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `neighborhoods` | object[]? | The list of neighborhood results for the given query. |
| `neighborhoods[].type` | string? | Neighborhood result type identifier. The value is always `neighborhood`. |
| `neighborhoods[].name` | string | The name of the neighborhood. |
| `neighborhoods[].country` | string | The country of the neighborhood. |
| `neighborhoods[].coordinates` | array | A pair of coordinates (lat, long) for the neighborhood. |
| `neighborhoods[].thumbnail` | object | Primary image for the neighborhood. |
| `neighborhoods[].thumbnail.src` | string | The served URL of the picture thumbnail. |
| `neighborhoods[].thumbnail.alt` | string? | The alt text for the thumbnail image. |
| `neighborhoods[].thumbnail.height` | int? | The height of the thumbnail. |
| `neighborhoods[].thumbnail.width` | int? | The width of the thumbnail. |
| `neighborhoods[].thumbnail.bg_color` | string? | The background color of the thumbnail. |
| `neighborhoods[].thumbnail.original` | string? | The original URL of the image. |
| `neighborhoods[].thumbnail.logo` | bool? | Whether the thumbnail is a logo. |
| `neighborhoods[].thumbnail.duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `neighborhoods[].thumbnail.theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `addresses` | object[]? | The list of address results for the given query. |
| `addresses[].type` | string? | Result type identifier. `address` when the result refers to an explicit street + number, `street` when it refers to the street itself. |
| `addresses[].name` | string | The name of the address. |
| `addresses[].coordinates` | array | A pair of coordinates (lat, long) for the address. |
| `addresses[].pois` | object[]? | POIs located at this address. |
| `addresses[].pois[].title` | string | The title of the web page. |
| `addresses[].pois[].url` | string | The URL where the page is served. |
| `addresses[].pois[].is_source_local` | bool? | Whether the result is from a local source. |
| `addresses[].pois[].is_source_both` | bool? | Whether the result is from both local and global sources. |
| `addresses[].pois[].description` | string? | A description for the web page. |
| `addresses[].pois[].page_age` | string? | The page's date, based on its published or last modified date. |
| `addresses[].pois[].page_fetched` | string? | A date representing when the web page was last fetched. |
| `addresses[].pois[].fetched_content_timestamp` | int? | The timestamp when the content was fetched. |
| `addresses[].pois[].profile` | object? | A profile associated with the web page. |
| `addresses[].pois[].profile.name` | string | The name of the profile. |
| `addresses[].pois[].profile.url` | string | The original URL where the profile is available. |
| `addresses[].pois[].profile.long_name` | string? | The long name of the profile. |
| `addresses[].pois[].profile.img` | string? | The served image URL representing the profile. |
| `addresses[].pois[].language` | string? | A language classification for the web page. |
| `addresses[].pois[].family_friendly` | bool? | Whether the web page is family friendly. |
| `addresses[].pois[].type` | string? | Location result type identifier. The value is always `location_result`. |
| `addresses[].pois[].provider_url` | string | The complete URL of the provider. |
| `addresses[].pois[].coordinates` | array? | A list of coordinates associated with the location. This is a lat long represented as a floating point. |
| `addresses[].pois[].zoom_level` | int? | The zoom level on the map. |
| `addresses[].pois[].thumbnail` | object? | The thumbnail associated with the location. |
| `addresses[].pois[].thumbnail.src` | string | The served URL of the picture thumbnail. |
| `addresses[].pois[].thumbnail.alt` | string? | The alt text for the thumbnail image. |
| `addresses[].pois[].thumbnail.height` | int? | The height of the thumbnail. |
| `addresses[].pois[].thumbnail.width` | int? | The width of the thumbnail. |
| `addresses[].pois[].thumbnail.bg_color` | string? | The background color of the thumbnail. |
| `addresses[].pois[].thumbnail.original` | string? | The original URL of the image. |
| `addresses[].pois[].thumbnail.logo` | bool? | Whether the thumbnail is a logo. |
| `addresses[].pois[].thumbnail.duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `addresses[].pois[].thumbnail.theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `addresses[].pois[].postal_address` | object? | The postal address associated with the location. |
| `addresses[].pois[].postal_address.type` | string? | The type identifying a postal address. The value is always `PostalAddress`. |
| `addresses[].pois[].postal_address.country` | string? | The country associated with the location. |
| `addresses[].pois[].postal_address.postalCode` | string? | The postal code associated with the location. |
| `addresses[].pois[].postal_address.streetAddress` | string? | The street address associated with the location. |
| `addresses[].pois[].postal_address.addressRegion` | string? | The region associated with the location. This is usually a state. |
| `addresses[].pois[].postal_address.addressLocality` | string? | The address locality or subregion associated with the location. |
| `addresses[].pois[].postal_address.displayAddress` | string | The displayed address string. |
| `addresses[].pois[].opening_hours` | object? | The opening hours, if it is a business, associated with the location. |
| `addresses[].pois[].opening_hours.current_day` | object[]? | The current day opening hours. Can have two sets of opening hours. |
| `addresses[].pois[].opening_hours.current_day[].abbr_name` | string | A short string representing the day of the week. |
| `addresses[].pois[].opening_hours.current_day[].full_name` | string | A full string representing the day of the week. |
| `addresses[].pois[].opening_hours.current_day[].opens` | string | A 24 hr clock time string for the opening time of the business on a particular day. |
| `addresses[].pois[].opening_hours.current_day[].closes` | string | A 24 hr clock time string for the closing time of the business on a particular day. |
| `addresses[].pois[].opening_hours.days` | object[][]? | The opening hours for the whole week. |
| `addresses[].pois[].contact` | object? | The contact of the business associated with the location. |
| `addresses[].pois[].contact.email` | string? | The email address. |
| `addresses[].pois[].contact.telephone` | string? | The telephone number. |
| `addresses[].pois[].price_range` | string? | A display string used to show the price classification for the business. |
| `addresses[].pois[].rating` | object? | The ratings of the business. |
| `addresses[].pois[].rating.ratingValue` | number | The current value of the rating. |
| `addresses[].pois[].rating.bestRating` | number | Best rating received. |
| `addresses[].pois[].rating.reviewCount` | int? | The number of reviews associated with the rating. |
| `addresses[].pois[].rating.profile` | object? | The profile associated with the rating. |
| `addresses[].pois[].rating.profile.name` | string | The name of the profile. |
| `addresses[].pois[].rating.profile.url` | string | The original URL where the profile is available. |
| `addresses[].pois[].rating.profile.long_name` | string? | The long name of the profile. |
| `addresses[].pois[].rating.profile.img` | string? | The served image URL representing the profile. |
| `addresses[].pois[].rating.is_tripadvisor` | bool? | Whether the rating is coming from Tripadvisor. |
| `addresses[].pois[].distance` | object? | The distance of the location from the client. |
| `addresses[].pois[].distance.value` | number | The quantity of the unit. |
| `addresses[].pois[].distance.units` | string | The name of the unit associated with the quantity. |
| `addresses[].pois[].profiles` | object[]? | Profiles associated with the business. |
| `addresses[].pois[].profiles[].type` | string? | The type representing the source of data. This is usually `external`. |
| `addresses[].pois[].profiles[].name` | string | The name of the data provider. This can be a domain. |
| `addresses[].pois[].profiles[].url` | string | The URL where the information is coming from. |
| `addresses[].pois[].profiles[].long_name` | string? | The long name for the data provider. |
| `addresses[].pois[].profiles[].img` | string? | The served URL for the image data. |
| `addresses[].pois[].reviews` | object? | Aggregated reviews from various sources relevant to the business. |
| `addresses[].pois[].reviews.results` | object[] | A list of trip advisor reviews for the entity. |
| `addresses[].pois[].reviews.results[].title` | string | The title of the review. |
| `addresses[].pois[].reviews.results[].description` | string | A description seen in the review. |
| `addresses[].pois[].reviews.results[].date` | string | The date when the review was published. |
| `addresses[].pois[].reviews.results[].rating` | object | A rating given by the reviewer. |
| `addresses[].pois[].reviews.results[].rating.ratingValue` | number | The current value of the rating. |
| `addresses[].pois[].reviews.results[].rating.bestRating` | number | Best rating received. |
| `addresses[].pois[].reviews.results[].rating.reviewCount` | int? | The number of reviews associated with the rating. |
| `addresses[].pois[].reviews.results[].rating.profile` | object? | The profile associated with the rating. |
| `addresses[].pois[].reviews.results[].rating.profile.name` | string | The name of the profile. |
| `addresses[].pois[].reviews.results[].rating.profile.url` | string | The original URL where the profile is available. |
| `addresses[].pois[].reviews.results[].rating.profile.long_name` | string? | The long name of the profile. |
| `addresses[].pois[].reviews.results[].rating.profile.img` | string? | The served image URL representing the profile. |
| `addresses[].pois[].reviews.results[].rating.is_tripadvisor` | bool? | Whether the rating is coming from Tripadvisor. |
| `addresses[].pois[].reviews.results[].author` | object | The author of the review. |
| `addresses[].pois[].reviews.results[].author.type` | string? | A type identifying a person. The value is always `person`. |
| `addresses[].pois[].reviews.results[].author.name` | string | The name of the thing. |
| `addresses[].pois[].reviews.results[].author.url` | string? | A URL for the thing. |
| `addresses[].pois[].reviews.results[].author.thumbnail` | object? | Thumbnail associated with the thing. |
| `addresses[].pois[].reviews.results[].author.thumbnail.src` | string | The served URL of the picture thumbnail. |
| `addresses[].pois[].reviews.results[].author.thumbnail.alt` | string? | The alt text for the thumbnail image. |
| `addresses[].pois[].reviews.results[].author.thumbnail.height` | int? | The height of the thumbnail. |
| `addresses[].pois[].reviews.results[].author.thumbnail.width` | int? | The width of the thumbnail. |
| `addresses[].pois[].reviews.results[].author.thumbnail.bg_color` | string? | The background color of the thumbnail. |
| `addresses[].pois[].reviews.results[].author.thumbnail.original` | string? | The original URL of the image. |
| `addresses[].pois[].reviews.results[].author.thumbnail.logo` | bool? | Whether the thumbnail is a logo. |
| `addresses[].pois[].reviews.results[].author.thumbnail.duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `addresses[].pois[].reviews.results[].author.thumbnail.theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `addresses[].pois[].reviews.results[].author.email` | string? | Email address of the person. |
| `addresses[].pois[].reviews.results[].review_url` | string | A URL link to the page where the review can be found. |
| `addresses[].pois[].reviews.results[].language` | string | The language of the review. |
| `addresses[].pois[].reviews.viewMoreUrl` | string | A URL to a web page where more information on the result can be seen. |
| `addresses[].pois[].reviews.reviews_in_foreign_language` | bool | Any reviews available in a foreign language. |
| `addresses[].pois[].pictures` | object? | A bunch of pictures associated with the business. |
| `addresses[].pois[].pictures.viewMoreUrl` | string? | A URL to view more pictures. |
| `addresses[].pois[].pictures.results` | object[] | A list of thumbnail results. |
| `addresses[].pois[].pictures.results[].src` | string | The served URL of the picture thumbnail. |
| `addresses[].pois[].pictures.results[].alt` | string? | The alt text for the thumbnail image. |
| `addresses[].pois[].pictures.results[].height` | int? | The height of the thumbnail. |
| `addresses[].pois[].pictures.results[].width` | int? | The width of the thumbnail. |
| `addresses[].pois[].pictures.results[].bg_color` | string? | The background color of the thumbnail. |
| `addresses[].pois[].pictures.results[].original` | string? | The original URL of the image. |
| `addresses[].pois[].pictures.results[].logo` | bool? | Whether the thumbnail is a logo. |
| `addresses[].pois[].pictures.results[].duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `addresses[].pois[].pictures.results[].theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `addresses[].pois[].action` | object? | An action to be taken. |
| `addresses[].pois[].action.type` | string | The type representing the action. |
| `addresses[].pois[].action.url` | string | A URL representing the action to be taken. |
| `addresses[].pois[].serves_cuisine` | string[]? | A list of cuisine categories served. |
| `addresses[].pois[].categories` | string[]? | A list of categories. |
| `addresses[].pois[].icon_category` | string? | An icon category. |
| `addresses[].pois[].timezone` | string? | IANA timezone identifier. |
| `addresses[].pois[].timezone_offset` | int? | The UTC offset of the timezone. |
| `addresses[].pois[].id` | string? | A temporary id associated with this result, which can be used to retrieve extra information about the location. It remains valid for 8 hours. |
| `addresses[].pois[].results` | object[]? | Web results related to this location. |
| `addresses[].pois[].results[].title` | string | The title of the web page. |
| `addresses[].pois[].results[].url` | string | The URL where the page is served. |
| `addresses[].pois[].results[].is_source_local` | bool? | Whether the result is from a local source. |
| `addresses[].pois[].results[].is_source_both` | bool? | Whether the result is from both local and global sources. |
| `addresses[].pois[].results[].description` | string? | A description for the web page. |
| `addresses[].pois[].results[].page_age` | string? | The page's date, based on its published or last modified date. |
| `addresses[].pois[].results[].page_fetched` | string? | A date representing when the web page was last fetched. |
| `addresses[].pois[].results[].fetched_content_timestamp` | int? | The timestamp when the content was fetched. |
| `addresses[].pois[].results[].profile` | object? | A profile associated with the web page. |
| `addresses[].pois[].results[].profile.name` | string | The name of the profile. |
| `addresses[].pois[].results[].profile.url` | string | The original URL where the profile is available. |
| `addresses[].pois[].results[].profile.long_name` | string? | The long name of the profile. |
| `addresses[].pois[].results[].profile.img` | string? | The served image URL representing the profile. |
| `addresses[].pois[].results[].language` | string? | A language classification for the web page. |
| `addresses[].pois[].results[].family_friendly` | bool? | Whether the web page is family friendly. |
| `addresses[].pois[].results[].meta_url` | object | Aggregated information about the URL. |
| `addresses[].pois[].results[].meta_url.scheme` | string | The protocol scheme extracted from the URL. |
| `addresses[].pois[].results[].meta_url.netloc` | string | The network location part extracted from the URL. |
| `addresses[].pois[].results[].meta_url.hostname` | string? | The lowercased domain name extracted from the URL. |
| `addresses[].pois[].results[].meta_url.favicon` | string | The favicon used for the URL. |
| `addresses[].pois[].results[].meta_url.path` | string | The hierarchical path of the URL useful as a display string. |
| `addresses[].pois_nearby` | object[]? | POIs located nearby this address. |
| `addresses[].pois_nearby[].title` | string | The title of the web page. |
| `addresses[].pois_nearby[].url` | string | The URL where the page is served. |
| `addresses[].pois_nearby[].is_source_local` | bool? | Whether the result is from a local source. |
| `addresses[].pois_nearby[].is_source_both` | bool? | Whether the result is from both local and global sources. |
| `addresses[].pois_nearby[].description` | string? | A description for the web page. |
| `addresses[].pois_nearby[].page_age` | string? | The page's date, based on its published or last modified date. |
| `addresses[].pois_nearby[].page_fetched` | string? | A date representing when the web page was last fetched. |
| `addresses[].pois_nearby[].fetched_content_timestamp` | int? | The timestamp when the content was fetched. |
| `addresses[].pois_nearby[].profile` | object? | A profile associated with the web page. |
| `addresses[].pois_nearby[].profile.name` | string | The name of the profile. |
| `addresses[].pois_nearby[].profile.url` | string | The original URL where the profile is available. |
| `addresses[].pois_nearby[].profile.long_name` | string? | The long name of the profile. |
| `addresses[].pois_nearby[].profile.img` | string? | The served image URL representing the profile. |
| `addresses[].pois_nearby[].language` | string? | A language classification for the web page. |
| `addresses[].pois_nearby[].family_friendly` | bool? | Whether the web page is family friendly. |
| `addresses[].pois_nearby[].type` | string? | Location result type identifier. The value is always `location_result`. |
| `addresses[].pois_nearby[].provider_url` | string | The complete URL of the provider. |
| `addresses[].pois_nearby[].coordinates` | array? | A list of coordinates associated with the location. This is a lat long represented as a floating point. |
| `addresses[].pois_nearby[].zoom_level` | int? | The zoom level on the map. |
| `addresses[].pois_nearby[].thumbnail` | object? | The thumbnail associated with the location. |
| `addresses[].pois_nearby[].thumbnail.src` | string | The served URL of the picture thumbnail. |
| `addresses[].pois_nearby[].thumbnail.alt` | string? | The alt text for the thumbnail image. |
| `addresses[].pois_nearby[].thumbnail.height` | int? | The height of the thumbnail. |
| `addresses[].pois_nearby[].thumbnail.width` | int? | The width of the thumbnail. |
| `addresses[].pois_nearby[].thumbnail.bg_color` | string? | The background color of the thumbnail. |
| `addresses[].pois_nearby[].thumbnail.original` | string? | The original URL of the image. |
| `addresses[].pois_nearby[].thumbnail.logo` | bool? | Whether the thumbnail is a logo. |
| `addresses[].pois_nearby[].thumbnail.duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `addresses[].pois_nearby[].thumbnail.theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `addresses[].pois_nearby[].postal_address` | object? | The postal address associated with the location. |
| `addresses[].pois_nearby[].postal_address.type` | string? | The type identifying a postal address. The value is always `PostalAddress`. |
| `addresses[].pois_nearby[].postal_address.country` | string? | The country associated with the location. |
| `addresses[].pois_nearby[].postal_address.postalCode` | string? | The postal code associated with the location. |
| `addresses[].pois_nearby[].postal_address.streetAddress` | string? | The street address associated with the location. |
| `addresses[].pois_nearby[].postal_address.addressRegion` | string? | The region associated with the location. This is usually a state. |
| `addresses[].pois_nearby[].postal_address.addressLocality` | string? | The address locality or subregion associated with the location. |
| `addresses[].pois_nearby[].postal_address.displayAddress` | string | The displayed address string. |
| `addresses[].pois_nearby[].opening_hours` | object? | The opening hours, if it is a business, associated with the location. |
| `addresses[].pois_nearby[].opening_hours.current_day` | object[]? | The current day opening hours. Can have two sets of opening hours. |
| `addresses[].pois_nearby[].opening_hours.current_day[].abbr_name` | string | A short string representing the day of the week. |
| `addresses[].pois_nearby[].opening_hours.current_day[].full_name` | string | A full string representing the day of the week. |
| `addresses[].pois_nearby[].opening_hours.current_day[].opens` | string | A 24 hr clock time string for the opening time of the business on a particular day. |
| `addresses[].pois_nearby[].opening_hours.current_day[].closes` | string | A 24 hr clock time string for the closing time of the business on a particular day. |
| `addresses[].pois_nearby[].opening_hours.days` | object[][]? | The opening hours for the whole week. |
| `addresses[].pois_nearby[].contact` | object? | The contact of the business associated with the location. |
| `addresses[].pois_nearby[].contact.email` | string? | The email address. |
| `addresses[].pois_nearby[].contact.telephone` | string? | The telephone number. |
| `addresses[].pois_nearby[].price_range` | string? | A display string used to show the price classification for the business. |
| `addresses[].pois_nearby[].rating` | object? | The ratings of the business. |
| `addresses[].pois_nearby[].rating.ratingValue` | number | The current value of the rating. |
| `addresses[].pois_nearby[].rating.bestRating` | number | Best rating received. |
| `addresses[].pois_nearby[].rating.reviewCount` | int? | The number of reviews associated with the rating. |
| `addresses[].pois_nearby[].rating.profile` | object? | The profile associated with the rating. |
| `addresses[].pois_nearby[].rating.profile.name` | string | The name of the profile. |
| `addresses[].pois_nearby[].rating.profile.url` | string | The original URL where the profile is available. |
| `addresses[].pois_nearby[].rating.profile.long_name` | string? | The long name of the profile. |
| `addresses[].pois_nearby[].rating.profile.img` | string? | The served image URL representing the profile. |
| `addresses[].pois_nearby[].rating.is_tripadvisor` | bool? | Whether the rating is coming from Tripadvisor. |
| `addresses[].pois_nearby[].distance` | object? | The distance of the location from the client. |
| `addresses[].pois_nearby[].distance.value` | number | The quantity of the unit. |
| `addresses[].pois_nearby[].distance.units` | string | The name of the unit associated with the quantity. |
| `addresses[].pois_nearby[].profiles` | object[]? | Profiles associated with the business. |
| `addresses[].pois_nearby[].profiles[].type` | string? | The type representing the source of data. This is usually `external`. |
| `addresses[].pois_nearby[].profiles[].name` | string | The name of the data provider. This can be a domain. |
| `addresses[].pois_nearby[].profiles[].url` | string | The URL where the information is coming from. |
| `addresses[].pois_nearby[].profiles[].long_name` | string? | The long name for the data provider. |
| `addresses[].pois_nearby[].profiles[].img` | string? | The served URL for the image data. |
| `addresses[].pois_nearby[].reviews` | object? | Aggregated reviews from various sources relevant to the business. |
| `addresses[].pois_nearby[].reviews.results` | object[] | A list of trip advisor reviews for the entity. |
| `addresses[].pois_nearby[].reviews.results[].title` | string | The title of the review. |
| `addresses[].pois_nearby[].reviews.results[].description` | string | A description seen in the review. |
| `addresses[].pois_nearby[].reviews.results[].date` | string | The date when the review was published. |
| `addresses[].pois_nearby[].reviews.results[].rating` | object | A rating given by the reviewer. |
| `addresses[].pois_nearby[].reviews.results[].rating.ratingValue` | number | The current value of the rating. |
| `addresses[].pois_nearby[].reviews.results[].rating.bestRating` | number | Best rating received. |
| `addresses[].pois_nearby[].reviews.results[].rating.reviewCount` | int? | The number of reviews associated with the rating. |
| `addresses[].pois_nearby[].reviews.results[].rating.profile` | object? | The profile associated with the rating. |
| `addresses[].pois_nearby[].reviews.results[].rating.profile.name` | string | The name of the profile. |
| `addresses[].pois_nearby[].reviews.results[].rating.profile.url` | string | The original URL where the profile is available. |
| `addresses[].pois_nearby[].reviews.results[].rating.profile.long_name` | string? | The long name of the profile. |
| `addresses[].pois_nearby[].reviews.results[].rating.profile.img` | string? | The served image URL representing the profile. |
| `addresses[].pois_nearby[].reviews.results[].rating.is_tripadvisor` | bool? | Whether the rating is coming from Tripadvisor. |
| `addresses[].pois_nearby[].reviews.results[].author` | object | The author of the review. |
| `addresses[].pois_nearby[].reviews.results[].author.type` | string? | A type identifying a person. The value is always `person`. |
| `addresses[].pois_nearby[].reviews.results[].author.name` | string | The name of the thing. |
| `addresses[].pois_nearby[].reviews.results[].author.url` | string? | A URL for the thing. |
| `addresses[].pois_nearby[].reviews.results[].author.thumbnail` | object? | Thumbnail associated with the thing. |
| `addresses[].pois_nearby[].reviews.results[].author.thumbnail.src` | string | The served URL of the picture thumbnail. |
| `addresses[].pois_nearby[].reviews.results[].author.thumbnail.alt` | string? | The alt text for the thumbnail image. |
| `addresses[].pois_nearby[].reviews.results[].author.thumbnail.height` | int? | The height of the thumbnail. |
| `addresses[].pois_nearby[].reviews.results[].author.thumbnail.width` | int? | The width of the thumbnail. |
| `addresses[].pois_nearby[].reviews.results[].author.thumbnail.bg_color` | string? | The background color of the thumbnail. |
| `addresses[].pois_nearby[].reviews.results[].author.thumbnail.original` | string? | The original URL of the image. |
| `addresses[].pois_nearby[].reviews.results[].author.thumbnail.logo` | bool? | Whether the thumbnail is a logo. |
| `addresses[].pois_nearby[].reviews.results[].author.thumbnail.duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `addresses[].pois_nearby[].reviews.results[].author.thumbnail.theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `addresses[].pois_nearby[].reviews.results[].author.email` | string? | Email address of the person. |
| `addresses[].pois_nearby[].reviews.results[].review_url` | string | A URL link to the page where the review can be found. |
| `addresses[].pois_nearby[].reviews.results[].language` | string | The language of the review. |
| `addresses[].pois_nearby[].reviews.viewMoreUrl` | string | A URL to a web page where more information on the result can be seen. |
| `addresses[].pois_nearby[].reviews.reviews_in_foreign_language` | bool | Any reviews available in a foreign language. |
| `addresses[].pois_nearby[].pictures` | object? | A bunch of pictures associated with the business. |
| `addresses[].pois_nearby[].pictures.viewMoreUrl` | string? | A URL to view more pictures. |
| `addresses[].pois_nearby[].pictures.results` | object[] | A list of thumbnail results. |
| `addresses[].pois_nearby[].pictures.results[].src` | string | The served URL of the picture thumbnail. |
| `addresses[].pois_nearby[].pictures.results[].alt` | string? | The alt text for the thumbnail image. |
| `addresses[].pois_nearby[].pictures.results[].height` | int? | The height of the thumbnail. |
| `addresses[].pois_nearby[].pictures.results[].width` | int? | The width of the thumbnail. |
| `addresses[].pois_nearby[].pictures.results[].bg_color` | string? | The background color of the thumbnail. |
| `addresses[].pois_nearby[].pictures.results[].original` | string? | The original URL of the image. |
| `addresses[].pois_nearby[].pictures.results[].logo` | bool? | Whether the thumbnail is a logo. |
| `addresses[].pois_nearby[].pictures.results[].duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `addresses[].pois_nearby[].pictures.results[].theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `addresses[].pois_nearby[].action` | object? | An action to be taken. |
| `addresses[].pois_nearby[].action.type` | string | The type representing the action. |
| `addresses[].pois_nearby[].action.url` | string | A URL representing the action to be taken. |
| `addresses[].pois_nearby[].serves_cuisine` | string[]? | A list of cuisine categories served. |
| `addresses[].pois_nearby[].categories` | string[]? | A list of categories. |
| `addresses[].pois_nearby[].icon_category` | string? | An icon category. |
| `addresses[].pois_nearby[].timezone` | string? | IANA timezone identifier. |
| `addresses[].pois_nearby[].timezone_offset` | int? | The UTC offset of the timezone. |
| `addresses[].pois_nearby[].id` | string? | A temporary id associated with this result, which can be used to retrieve extra information about the location. It remains valid for 8 hours. |
| `addresses[].pois_nearby[].results` | object[]? | Web results related to this location. |
| `addresses[].pois_nearby[].results[].title` | string | The title of the web page. |
| `addresses[].pois_nearby[].results[].url` | string | The URL where the page is served. |
| `addresses[].pois_nearby[].results[].is_source_local` | bool? | Whether the result is from a local source. |
| `addresses[].pois_nearby[].results[].is_source_both` | bool? | Whether the result is from both local and global sources. |
| `addresses[].pois_nearby[].results[].description` | string? | A description for the web page. |
| `addresses[].pois_nearby[].results[].page_age` | string? | The page's date, based on its published or last modified date. |
| `addresses[].pois_nearby[].results[].page_fetched` | string? | A date representing when the web page was last fetched. |
| `addresses[].pois_nearby[].results[].fetched_content_timestamp` | int? | The timestamp when the content was fetched. |
| `addresses[].pois_nearby[].results[].profile` | object? | A profile associated with the web page. |
| `addresses[].pois_nearby[].results[].profile.name` | string | The name of the profile. |
| `addresses[].pois_nearby[].results[].profile.url` | string | The original URL where the profile is available. |
| `addresses[].pois_nearby[].results[].profile.long_name` | string? | The long name of the profile. |
| `addresses[].pois_nearby[].results[].profile.img` | string? | The served image URL representing the profile. |
| `addresses[].pois_nearby[].results[].language` | string? | A language classification for the web page. |
| `addresses[].pois_nearby[].results[].family_friendly` | bool? | Whether the web page is family friendly. |
| `addresses[].pois_nearby[].results[].meta_url` | object | Aggregated information about the URL. |
| `addresses[].pois_nearby[].results[].meta_url.scheme` | string | The protocol scheme extracted from the URL. |
| `addresses[].pois_nearby[].results[].meta_url.netloc` | string | The network location part extracted from the URL. |
| `addresses[].pois_nearby[].results[].meta_url.hostname` | string? | The lowercased domain name extracted from the URL. |
| `addresses[].pois_nearby[].results[].meta_url.favicon` | string | The favicon used for the URL. |
| `addresses[].pois_nearby[].results[].meta_url.path` | string | The hierarchical path of the URL useful as a display string. |
| `addresses[].zoom_level` | int? | Suggested zoom level on the map. |
| `addresses[].distance` | object? | Distance from the user's geolocation, if available. |
| `addresses[].distance.value` | number | The quantity of the unit. |
| `addresses[].distance.units` | string | The name of the unit associated with the quantity. |
| `addresses[].postal_address` | object? | Structured postal address. |
| `addresses[].postal_address.type` | string? | The type identifying a postal address. The value is always `PostalAddress`. |
| `addresses[].postal_address.country` | string? | The country associated with the location. |
| `addresses[].postal_address.postalCode` | string? | The postal code associated with the location. |
| `addresses[].postal_address.streetAddress` | string? | The street address associated with the location. |
| `addresses[].postal_address.addressRegion` | string? | The region associated with the location. This is usually a state. |
| `addresses[].postal_address.addressLocality` | string? | The address locality or subregion associated with the location. |
| `addresses[].postal_address.displayAddress` | string | The displayed address string. |
| `streets` | object[]? | The list of street results for the given query. |
| `streets[].type` | string? | Result type identifier. `address` when the result refers to an explicit street + number, `street` when it refers to the street itself. |
| `streets[].name` | string | The name of the address. |
| `streets[].coordinates` | array | A pair of coordinates (lat, long) for the address. |
| `streets[].pois` | object[]? | POIs located at this address. |
| `streets[].pois[].title` | string | The title of the web page. |
| `streets[].pois[].url` | string | The URL where the page is served. |
| `streets[].pois[].is_source_local` | bool? | Whether the result is from a local source. |
| `streets[].pois[].is_source_both` | bool? | Whether the result is from both local and global sources. |
| `streets[].pois[].description` | string? | A description for the web page. |
| `streets[].pois[].page_age` | string? | The page's date, based on its published or last modified date. |
| `streets[].pois[].page_fetched` | string? | A date representing when the web page was last fetched. |
| `streets[].pois[].fetched_content_timestamp` | int? | The timestamp when the content was fetched. |
| `streets[].pois[].profile` | object? | A profile associated with the web page. |
| `streets[].pois[].profile.name` | string | The name of the profile. |
| `streets[].pois[].profile.url` | string | The original URL where the profile is available. |
| `streets[].pois[].profile.long_name` | string? | The long name of the profile. |
| `streets[].pois[].profile.img` | string? | The served image URL representing the profile. |
| `streets[].pois[].language` | string? | A language classification for the web page. |
| `streets[].pois[].family_friendly` | bool? | Whether the web page is family friendly. |
| `streets[].pois[].type` | string? | Location result type identifier. The value is always `location_result`. |
| `streets[].pois[].provider_url` | string | The complete URL of the provider. |
| `streets[].pois[].coordinates` | array? | A list of coordinates associated with the location. This is a lat long represented as a floating point. |
| `streets[].pois[].zoom_level` | int? | The zoom level on the map. |
| `streets[].pois[].thumbnail` | object? | The thumbnail associated with the location. |
| `streets[].pois[].thumbnail.src` | string | The served URL of the picture thumbnail. |
| `streets[].pois[].thumbnail.alt` | string? | The alt text for the thumbnail image. |
| `streets[].pois[].thumbnail.height` | int? | The height of the thumbnail. |
| `streets[].pois[].thumbnail.width` | int? | The width of the thumbnail. |
| `streets[].pois[].thumbnail.bg_color` | string? | The background color of the thumbnail. |
| `streets[].pois[].thumbnail.original` | string? | The original URL of the image. |
| `streets[].pois[].thumbnail.logo` | bool? | Whether the thumbnail is a logo. |
| `streets[].pois[].thumbnail.duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `streets[].pois[].thumbnail.theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `streets[].pois[].postal_address` | object? | The postal address associated with the location. |
| `streets[].pois[].postal_address.type` | string? | The type identifying a postal address. The value is always `PostalAddress`. |
| `streets[].pois[].postal_address.country` | string? | The country associated with the location. |
| `streets[].pois[].postal_address.postalCode` | string? | The postal code associated with the location. |
| `streets[].pois[].postal_address.streetAddress` | string? | The street address associated with the location. |
| `streets[].pois[].postal_address.addressRegion` | string? | The region associated with the location. This is usually a state. |
| `streets[].pois[].postal_address.addressLocality` | string? | The address locality or subregion associated with the location. |
| `streets[].pois[].postal_address.displayAddress` | string | The displayed address string. |
| `streets[].pois[].opening_hours` | object? | The opening hours, if it is a business, associated with the location. |
| `streets[].pois[].opening_hours.current_day` | object[]? | The current day opening hours. Can have two sets of opening hours. |
| `streets[].pois[].opening_hours.current_day[].abbr_name` | string | A short string representing the day of the week. |
| `streets[].pois[].opening_hours.current_day[].full_name` | string | A full string representing the day of the week. |
| `streets[].pois[].opening_hours.current_day[].opens` | string | A 24 hr clock time string for the opening time of the business on a particular day. |
| `streets[].pois[].opening_hours.current_day[].closes` | string | A 24 hr clock time string for the closing time of the business on a particular day. |
| `streets[].pois[].opening_hours.days` | object[][]? | The opening hours for the whole week. |
| `streets[].pois[].contact` | object? | The contact of the business associated with the location. |
| `streets[].pois[].contact.email` | string? | The email address. |
| `streets[].pois[].contact.telephone` | string? | The telephone number. |
| `streets[].pois[].price_range` | string? | A display string used to show the price classification for the business. |
| `streets[].pois[].rating` | object? | The ratings of the business. |
| `streets[].pois[].rating.ratingValue` | number | The current value of the rating. |
| `streets[].pois[].rating.bestRating` | number | Best rating received. |
| `streets[].pois[].rating.reviewCount` | int? | The number of reviews associated with the rating. |
| `streets[].pois[].rating.profile` | object? | The profile associated with the rating. |
| `streets[].pois[].rating.profile.name` | string | The name of the profile. |
| `streets[].pois[].rating.profile.url` | string | The original URL where the profile is available. |
| `streets[].pois[].rating.profile.long_name` | string? | The long name of the profile. |
| `streets[].pois[].rating.profile.img` | string? | The served image URL representing the profile. |
| `streets[].pois[].rating.is_tripadvisor` | bool? | Whether the rating is coming from Tripadvisor. |
| `streets[].pois[].distance` | object? | The distance of the location from the client. |
| `streets[].pois[].distance.value` | number | The quantity of the unit. |
| `streets[].pois[].distance.units` | string | The name of the unit associated with the quantity. |
| `streets[].pois[].profiles` | object[]? | Profiles associated with the business. |
| `streets[].pois[].profiles[].type` | string? | The type representing the source of data. This is usually `external`. |
| `streets[].pois[].profiles[].name` | string | The name of the data provider. This can be a domain. |
| `streets[].pois[].profiles[].url` | string | The URL where the information is coming from. |
| `streets[].pois[].profiles[].long_name` | string? | The long name for the data provider. |
| `streets[].pois[].profiles[].img` | string? | The served URL for the image data. |
| `streets[].pois[].reviews` | object? | Aggregated reviews from various sources relevant to the business. |
| `streets[].pois[].reviews.results` | object[] | A list of trip advisor reviews for the entity. |
| `streets[].pois[].reviews.results[].title` | string | The title of the review. |
| `streets[].pois[].reviews.results[].description` | string | A description seen in the review. |
| `streets[].pois[].reviews.results[].date` | string | The date when the review was published. |
| `streets[].pois[].reviews.results[].rating` | object | A rating given by the reviewer. |
| `streets[].pois[].reviews.results[].rating.ratingValue` | number | The current value of the rating. |
| `streets[].pois[].reviews.results[].rating.bestRating` | number | Best rating received. |
| `streets[].pois[].reviews.results[].rating.reviewCount` | int? | The number of reviews associated with the rating. |
| `streets[].pois[].reviews.results[].rating.profile` | object? | The profile associated with the rating. |
| `streets[].pois[].reviews.results[].rating.profile.name` | string | The name of the profile. |
| `streets[].pois[].reviews.results[].rating.profile.url` | string | The original URL where the profile is available. |
| `streets[].pois[].reviews.results[].rating.profile.long_name` | string? | The long name of the profile. |
| `streets[].pois[].reviews.results[].rating.profile.img` | string? | The served image URL representing the profile. |
| `streets[].pois[].reviews.results[].rating.is_tripadvisor` | bool? | Whether the rating is coming from Tripadvisor. |
| `streets[].pois[].reviews.results[].author` | object | The author of the review. |
| `streets[].pois[].reviews.results[].author.type` | string? | A type identifying a person. The value is always `person`. |
| `streets[].pois[].reviews.results[].author.name` | string | The name of the thing. |
| `streets[].pois[].reviews.results[].author.url` | string? | A URL for the thing. |
| `streets[].pois[].reviews.results[].author.thumbnail` | object? | Thumbnail associated with the thing. |
| `streets[].pois[].reviews.results[].author.thumbnail.src` | string | The served URL of the picture thumbnail. |
| `streets[].pois[].reviews.results[].author.thumbnail.alt` | string? | The alt text for the thumbnail image. |
| `streets[].pois[].reviews.results[].author.thumbnail.height` | int? | The height of the thumbnail. |
| `streets[].pois[].reviews.results[].author.thumbnail.width` | int? | The width of the thumbnail. |
| `streets[].pois[].reviews.results[].author.thumbnail.bg_color` | string? | The background color of the thumbnail. |
| `streets[].pois[].reviews.results[].author.thumbnail.original` | string? | The original URL of the image. |
| `streets[].pois[].reviews.results[].author.thumbnail.logo` | bool? | Whether the thumbnail is a logo. |
| `streets[].pois[].reviews.results[].author.thumbnail.duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `streets[].pois[].reviews.results[].author.thumbnail.theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `streets[].pois[].reviews.results[].author.email` | string? | Email address of the person. |
| `streets[].pois[].reviews.results[].review_url` | string | A URL link to the page where the review can be found. |
| `streets[].pois[].reviews.results[].language` | string | The language of the review. |
| `streets[].pois[].reviews.viewMoreUrl` | string | A URL to a web page where more information on the result can be seen. |
| `streets[].pois[].reviews.reviews_in_foreign_language` | bool | Any reviews available in a foreign language. |
| `streets[].pois[].pictures` | object? | A bunch of pictures associated with the business. |
| `streets[].pois[].pictures.viewMoreUrl` | string? | A URL to view more pictures. |
| `streets[].pois[].pictures.results` | object[] | A list of thumbnail results. |
| `streets[].pois[].pictures.results[].src` | string | The served URL of the picture thumbnail. |
| `streets[].pois[].pictures.results[].alt` | string? | The alt text for the thumbnail image. |
| `streets[].pois[].pictures.results[].height` | int? | The height of the thumbnail. |
| `streets[].pois[].pictures.results[].width` | int? | The width of the thumbnail. |
| `streets[].pois[].pictures.results[].bg_color` | string? | The background color of the thumbnail. |
| `streets[].pois[].pictures.results[].original` | string? | The original URL of the image. |
| `streets[].pois[].pictures.results[].logo` | bool? | Whether the thumbnail is a logo. |
| `streets[].pois[].pictures.results[].duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `streets[].pois[].pictures.results[].theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `streets[].pois[].action` | object? | An action to be taken. |
| `streets[].pois[].action.type` | string | The type representing the action. |
| `streets[].pois[].action.url` | string | A URL representing the action to be taken. |
| `streets[].pois[].serves_cuisine` | string[]? | A list of cuisine categories served. |
| `streets[].pois[].categories` | string[]? | A list of categories. |
| `streets[].pois[].icon_category` | string? | An icon category. |
| `streets[].pois[].timezone` | string? | IANA timezone identifier. |
| `streets[].pois[].timezone_offset` | int? | The UTC offset of the timezone. |
| `streets[].pois[].id` | string? | A temporary id associated with this result, which can be used to retrieve extra information about the location. It remains valid for 8 hours. |
| `streets[].pois[].results` | object[]? | Web results related to this location. |
| `streets[].pois[].results[].title` | string | The title of the web page. |
| `streets[].pois[].results[].url` | string | The URL where the page is served. |
| `streets[].pois[].results[].is_source_local` | bool? | Whether the result is from a local source. |
| `streets[].pois[].results[].is_source_both` | bool? | Whether the result is from both local and global sources. |
| `streets[].pois[].results[].description` | string? | A description for the web page. |
| `streets[].pois[].results[].page_age` | string? | The page's date, based on its published or last modified date. |
| `streets[].pois[].results[].page_fetched` | string? | A date representing when the web page was last fetched. |
| `streets[].pois[].results[].fetched_content_timestamp` | int? | The timestamp when the content was fetched. |
| `streets[].pois[].results[].profile` | object? | A profile associated with the web page. |
| `streets[].pois[].results[].profile.name` | string | The name of the profile. |
| `streets[].pois[].results[].profile.url` | string | The original URL where the profile is available. |
| `streets[].pois[].results[].profile.long_name` | string? | The long name of the profile. |
| `streets[].pois[].results[].profile.img` | string? | The served image URL representing the profile. |
| `streets[].pois[].results[].language` | string? | A language classification for the web page. |
| `streets[].pois[].results[].family_friendly` | bool? | Whether the web page is family friendly. |
| `streets[].pois[].results[].meta_url` | object | Aggregated information about the URL. |
| `streets[].pois[].results[].meta_url.scheme` | string | The protocol scheme extracted from the URL. |
| `streets[].pois[].results[].meta_url.netloc` | string | The network location part extracted from the URL. |
| `streets[].pois[].results[].meta_url.hostname` | string? | The lowercased domain name extracted from the URL. |
| `streets[].pois[].results[].meta_url.favicon` | string | The favicon used for the URL. |
| `streets[].pois[].results[].meta_url.path` | string | The hierarchical path of the URL useful as a display string. |
| `streets[].pois_nearby` | object[]? | POIs located nearby this address. |
| `streets[].pois_nearby[].title` | string | The title of the web page. |
| `streets[].pois_nearby[].url` | string | The URL where the page is served. |
| `streets[].pois_nearby[].is_source_local` | bool? | Whether the result is from a local source. |
| `streets[].pois_nearby[].is_source_both` | bool? | Whether the result is from both local and global sources. |
| `streets[].pois_nearby[].description` | string? | A description for the web page. |
| `streets[].pois_nearby[].page_age` | string? | The page's date, based on its published or last modified date. |
| `streets[].pois_nearby[].page_fetched` | string? | A date representing when the web page was last fetched. |
| `streets[].pois_nearby[].fetched_content_timestamp` | int? | The timestamp when the content was fetched. |
| `streets[].pois_nearby[].profile` | object? | A profile associated with the web page. |
| `streets[].pois_nearby[].profile.name` | string | The name of the profile. |
| `streets[].pois_nearby[].profile.url` | string | The original URL where the profile is available. |
| `streets[].pois_nearby[].profile.long_name` | string? | The long name of the profile. |
| `streets[].pois_nearby[].profile.img` | string? | The served image URL representing the profile. |
| `streets[].pois_nearby[].language` | string? | A language classification for the web page. |
| `streets[].pois_nearby[].family_friendly` | bool? | Whether the web page is family friendly. |
| `streets[].pois_nearby[].type` | string? | Location result type identifier. The value is always `location_result`. |
| `streets[].pois_nearby[].provider_url` | string | The complete URL of the provider. |
| `streets[].pois_nearby[].coordinates` | array? | A list of coordinates associated with the location. This is a lat long represented as a floating point. |
| `streets[].pois_nearby[].zoom_level` | int? | The zoom level on the map. |
| `streets[].pois_nearby[].thumbnail` | object? | The thumbnail associated with the location. |
| `streets[].pois_nearby[].thumbnail.src` | string | The served URL of the picture thumbnail. |
| `streets[].pois_nearby[].thumbnail.alt` | string? | The alt text for the thumbnail image. |
| `streets[].pois_nearby[].thumbnail.height` | int? | The height of the thumbnail. |
| `streets[].pois_nearby[].thumbnail.width` | int? | The width of the thumbnail. |
| `streets[].pois_nearby[].thumbnail.bg_color` | string? | The background color of the thumbnail. |
| `streets[].pois_nearby[].thumbnail.original` | string? | The original URL of the image. |
| `streets[].pois_nearby[].thumbnail.logo` | bool? | Whether the thumbnail is a logo. |
| `streets[].pois_nearby[].thumbnail.duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `streets[].pois_nearby[].thumbnail.theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `streets[].pois_nearby[].postal_address` | object? | The postal address associated with the location. |
| `streets[].pois_nearby[].postal_address.type` | string? | The type identifying a postal address. The value is always `PostalAddress`. |
| `streets[].pois_nearby[].postal_address.country` | string? | The country associated with the location. |
| `streets[].pois_nearby[].postal_address.postalCode` | string? | The postal code associated with the location. |
| `streets[].pois_nearby[].postal_address.streetAddress` | string? | The street address associated with the location. |
| `streets[].pois_nearby[].postal_address.addressRegion` | string? | The region associated with the location. This is usually a state. |
| `streets[].pois_nearby[].postal_address.addressLocality` | string? | The address locality or subregion associated with the location. |
| `streets[].pois_nearby[].postal_address.displayAddress` | string | The displayed address string. |
| `streets[].pois_nearby[].opening_hours` | object? | The opening hours, if it is a business, associated with the location. |
| `streets[].pois_nearby[].opening_hours.current_day` | object[]? | The current day opening hours. Can have two sets of opening hours. |
| `streets[].pois_nearby[].opening_hours.current_day[].abbr_name` | string | A short string representing the day of the week. |
| `streets[].pois_nearby[].opening_hours.current_day[].full_name` | string | A full string representing the day of the week. |
| `streets[].pois_nearby[].opening_hours.current_day[].opens` | string | A 24 hr clock time string for the opening time of the business on a particular day. |
| `streets[].pois_nearby[].opening_hours.current_day[].closes` | string | A 24 hr clock time string for the closing time of the business on a particular day. |
| `streets[].pois_nearby[].opening_hours.days` | object[][]? | The opening hours for the whole week. |
| `streets[].pois_nearby[].contact` | object? | The contact of the business associated with the location. |
| `streets[].pois_nearby[].contact.email` | string? | The email address. |
| `streets[].pois_nearby[].contact.telephone` | string? | The telephone number. |
| `streets[].pois_nearby[].price_range` | string? | A display string used to show the price classification for the business. |
| `streets[].pois_nearby[].rating` | object? | The ratings of the business. |
| `streets[].pois_nearby[].rating.ratingValue` | number | The current value of the rating. |
| `streets[].pois_nearby[].rating.bestRating` | number | Best rating received. |
| `streets[].pois_nearby[].rating.reviewCount` | int? | The number of reviews associated with the rating. |
| `streets[].pois_nearby[].rating.profile` | object? | The profile associated with the rating. |
| `streets[].pois_nearby[].rating.profile.name` | string | The name of the profile. |
| `streets[].pois_nearby[].rating.profile.url` | string | The original URL where the profile is available. |
| `streets[].pois_nearby[].rating.profile.long_name` | string? | The long name of the profile. |
| `streets[].pois_nearby[].rating.profile.img` | string? | The served image URL representing the profile. |
| `streets[].pois_nearby[].rating.is_tripadvisor` | bool? | Whether the rating is coming from Tripadvisor. |
| `streets[].pois_nearby[].distance` | object? | The distance of the location from the client. |
| `streets[].pois_nearby[].distance.value` | number | The quantity of the unit. |
| `streets[].pois_nearby[].distance.units` | string | The name of the unit associated with the quantity. |
| `streets[].pois_nearby[].profiles` | object[]? | Profiles associated with the business. |
| `streets[].pois_nearby[].profiles[].type` | string? | The type representing the source of data. This is usually `external`. |
| `streets[].pois_nearby[].profiles[].name` | string | The name of the data provider. This can be a domain. |
| `streets[].pois_nearby[].profiles[].url` | string | The URL where the information is coming from. |
| `streets[].pois_nearby[].profiles[].long_name` | string? | The long name for the data provider. |
| `streets[].pois_nearby[].profiles[].img` | string? | The served URL for the image data. |
| `streets[].pois_nearby[].reviews` | object? | Aggregated reviews from various sources relevant to the business. |
| `streets[].pois_nearby[].reviews.results` | object[] | A list of trip advisor reviews for the entity. |
| `streets[].pois_nearby[].reviews.results[].title` | string | The title of the review. |
| `streets[].pois_nearby[].reviews.results[].description` | string | A description seen in the review. |
| `streets[].pois_nearby[].reviews.results[].date` | string | The date when the review was published. |
| `streets[].pois_nearby[].reviews.results[].rating` | object | A rating given by the reviewer. |
| `streets[].pois_nearby[].reviews.results[].rating.ratingValue` | number | The current value of the rating. |
| `streets[].pois_nearby[].reviews.results[].rating.bestRating` | number | Best rating received. |
| `streets[].pois_nearby[].reviews.results[].rating.reviewCount` | int? | The number of reviews associated with the rating. |
| `streets[].pois_nearby[].reviews.results[].rating.profile` | object? | The profile associated with the rating. |
| `streets[].pois_nearby[].reviews.results[].rating.profile.name` | string | The name of the profile. |
| `streets[].pois_nearby[].reviews.results[].rating.profile.url` | string | The original URL where the profile is available. |
| `streets[].pois_nearby[].reviews.results[].rating.profile.long_name` | string? | The long name of the profile. |
| `streets[].pois_nearby[].reviews.results[].rating.profile.img` | string? | The served image URL representing the profile. |
| `streets[].pois_nearby[].reviews.results[].rating.is_tripadvisor` | bool? | Whether the rating is coming from Tripadvisor. |
| `streets[].pois_nearby[].reviews.results[].author` | object | The author of the review. |
| `streets[].pois_nearby[].reviews.results[].author.type` | string? | A type identifying a person. The value is always `person`. |
| `streets[].pois_nearby[].reviews.results[].author.name` | string | The name of the thing. |
| `streets[].pois_nearby[].reviews.results[].author.url` | string? | A URL for the thing. |
| `streets[].pois_nearby[].reviews.results[].author.thumbnail` | object? | Thumbnail associated with the thing. |
| `streets[].pois_nearby[].reviews.results[].author.thumbnail.src` | string | The served URL of the picture thumbnail. |
| `streets[].pois_nearby[].reviews.results[].author.thumbnail.alt` | string? | The alt text for the thumbnail image. |
| `streets[].pois_nearby[].reviews.results[].author.thumbnail.height` | int? | The height of the thumbnail. |
| `streets[].pois_nearby[].reviews.results[].author.thumbnail.width` | int? | The width of the thumbnail. |
| `streets[].pois_nearby[].reviews.results[].author.thumbnail.bg_color` | string? | The background color of the thumbnail. |
| `streets[].pois_nearby[].reviews.results[].author.thumbnail.original` | string? | The original URL of the image. |
| `streets[].pois_nearby[].reviews.results[].author.thumbnail.logo` | bool? | Whether the thumbnail is a logo. |
| `streets[].pois_nearby[].reviews.results[].author.thumbnail.duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `streets[].pois_nearby[].reviews.results[].author.thumbnail.theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `streets[].pois_nearby[].reviews.results[].author.email` | string? | Email address of the person. |
| `streets[].pois_nearby[].reviews.results[].review_url` | string | A URL link to the page where the review can be found. |
| `streets[].pois_nearby[].reviews.results[].language` | string | The language of the review. |
| `streets[].pois_nearby[].reviews.viewMoreUrl` | string | A URL to a web page where more information on the result can be seen. |
| `streets[].pois_nearby[].reviews.reviews_in_foreign_language` | bool | Any reviews available in a foreign language. |
| `streets[].pois_nearby[].pictures` | object? | A bunch of pictures associated with the business. |
| `streets[].pois_nearby[].pictures.viewMoreUrl` | string? | A URL to view more pictures. |
| `streets[].pois_nearby[].pictures.results` | object[] | A list of thumbnail results. |
| `streets[].pois_nearby[].pictures.results[].src` | string | The served URL of the picture thumbnail. |
| `streets[].pois_nearby[].pictures.results[].alt` | string? | The alt text for the thumbnail image. |
| `streets[].pois_nearby[].pictures.results[].height` | int? | The height of the thumbnail. |
| `streets[].pois_nearby[].pictures.results[].width` | int? | The width of the thumbnail. |
| `streets[].pois_nearby[].pictures.results[].bg_color` | string? | The background color of the thumbnail. |
| `streets[].pois_nearby[].pictures.results[].original` | string? | The original URL of the image. |
| `streets[].pois_nearby[].pictures.results[].logo` | bool? | Whether the thumbnail is a logo. |
| `streets[].pois_nearby[].pictures.results[].duplicated` | bool? | Whether the thumbnail is a duplicate. |
| `streets[].pois_nearby[].pictures.results[].theme` | string? | The theme of the thumbnail (e.g., light or dark). |
| `streets[].pois_nearby[].action` | object? | An action to be taken. |
| `streets[].pois_nearby[].action.type` | string | The type representing the action. |
| `streets[].pois_nearby[].action.url` | string | A URL representing the action to be taken. |
| `streets[].pois_nearby[].serves_cuisine` | string[]? | A list of cuisine categories served. |
| `streets[].pois_nearby[].categories` | string[]? | A list of categories. |
| `streets[].pois_nearby[].icon_category` | string? | An icon category. |
| `streets[].pois_nearby[].timezone` | string? | IANA timezone identifier. |
| `streets[].pois_nearby[].timezone_offset` | int? | The UTC offset of the timezone. |
| `streets[].pois_nearby[].id` | string? | A temporary id associated with this result, which can be used to retrieve extra information about the location. It remains valid for 8 hours. |
| `streets[].pois_nearby[].results` | object[]? | Web results related to this location. |
| `streets[].pois_nearby[].results[].title` | string | The title of the web page. |
| `streets[].pois_nearby[].results[].url` | string | The URL where the page is served. |
| `streets[].pois_nearby[].results[].is_source_local` | bool? | Whether the result is from a local source. |
| `streets[].pois_nearby[].results[].is_source_both` | bool? | Whether the result is from both local and global sources. |
| `streets[].pois_nearby[].results[].description` | string? | A description for the web page. |
| `streets[].pois_nearby[].results[].page_age` | string? | The page's date, based on its published or last modified date. |
| `streets[].pois_nearby[].results[].page_fetched` | string? | A date representing when the web page was last fetched. |
| `streets[].pois_nearby[].results[].fetched_content_timestamp` | int? | The timestamp when the content was fetched. |
| `streets[].pois_nearby[].results[].profile` | object? | A profile associated with the web page. |
| `streets[].pois_nearby[].results[].profile.name` | string | The name of the profile. |
| `streets[].pois_nearby[].results[].profile.url` | string | The original URL where the profile is available. |
| `streets[].pois_nearby[].results[].profile.long_name` | string? | The long name of the profile. |
| `streets[].pois_nearby[].results[].profile.img` | string? | The served image URL representing the profile. |
| `streets[].pois_nearby[].results[].language` | string? | A language classification for the web page. |
| `streets[].pois_nearby[].results[].family_friendly` | bool? | Whether the web page is family friendly. |
| `streets[].pois_nearby[].results[].meta_url` | object | Aggregated information about the URL. |
| `streets[].pois_nearby[].results[].meta_url.scheme` | string | The protocol scheme extracted from the URL. |
| `streets[].pois_nearby[].results[].meta_url.netloc` | string | The network location part extracted from the URL. |
| `streets[].pois_nearby[].results[].meta_url.hostname` | string? | The lowercased domain name extracted from the URL. |
| `streets[].pois_nearby[].results[].meta_url.favicon` | string | The favicon used for the URL. |
| `streets[].pois_nearby[].results[].meta_url.path` | string | The hierarchical path of the URL useful as a display string. |
| `streets[].zoom_level` | int? | Suggested zoom level on the map. |
| `streets[].distance` | object? | Distance from the user's geolocation, if available. |
| `streets[].distance.value` | number | The quantity of the unit. |
| `streets[].distance.units` | string | The name of the unit associated with the quantity. |
| `streets[].postal_address` | object? | Structured postal address. |
| `streets[].postal_address.type` | string? | The type identifying a postal address. The value is always `PostalAddress`. |
| `streets[].postal_address.country` | string? | The country associated with the location. |
| `streets[].postal_address.postalCode` | string? | The postal code associated with the location. |
| `streets[].postal_address.streetAddress` | string? | The street address associated with the location. |
| `streets[].postal_address.addressRegion` | string? | The region associated with the location. This is usually a state. |
| `streets[].postal_address.addressLocality` | string? | The address locality or subregion associated with the location. |
| `streets[].postal_address.displayAddress` | string | The displayed address string. |
| `mixed` | object[]? | The list of mixed results for the given query. |
| `mixed[].type` | string | The type of the result. |
| `mixed[].index` | int? | The 0th based index where the result should be placed. |
| `mixed[].all` | bool? | Whether to put all the results from the type at specific position. |
| `location` | object? | Information about location resolved from either the coordinates of the location string. |
| `location.coordinates` | array | The latitude and longitude of the location. |
| `location.name` | string? | The name of the location. |
| `location.country` | string? | The two letter country code of the location. |

### 400
Bad Request

| Field | Type | Description |
|-------|------|-------------|
| `type` | string? |  |
| `error` | object |  |
| `error.id` | string | A unique identifier for this particular occurrence of the problem. |
| `error.status` | int | The HTTP status code applicable to this problem, expressed as a string value. |
| `error.detail` | string? | Explanation specific to this occurrence of the problem. Like title, this field's value can be localized. |
| `error.meta` | object? | A meta object containing non-standard meta-information about the error. |
| `error.code` | string | An application-specific error code, expressed as a string value. |
| `time` | int? |  |

### 404
Not Found

| Field | Type | Description |
|-------|------|-------------|
| `type` | string? |  |
| `error` | object |  |
| `error.id` | string | A unique identifier for this particular occurrence of the problem. |
| `error.status` | int | The HTTP status code applicable to this problem, expressed as a string value. |
| `error.detail` | string? | Explanation specific to this occurrence of the problem. Like title, this field's value can be localized. |
| `error.meta` | object? | A meta object containing non-standard meta-information about the error. |
| `error.code` | string | An application-specific error code, expressed as a string value. |
| `time` | int? |  |

### 422
Unprocessable Entity

| Field | Type | Description |
|-------|------|-------------|
| `type` | string? |  |
| `error` | object |  |
| `error.id` | string | A unique identifier for this particular occurrence of the problem. |
| `error.status` | int | The HTTP status code applicable to this problem, expressed as a string value. |
| `error.detail` | string? | Explanation specific to this occurrence of the problem. Like title, this field's value can be localized. |
| `error.meta` | object? | A meta object containing non-standard meta-information about the error. |
| `error.code` | string | An application-specific error code, expressed as a string value. |
| `time` | int? |  |

### 429
Too Many Requests

| Field | Type | Description |
|-------|------|-------------|
| `type` | string? |  |
| `error` | object |  |
| `error.id` | string | A unique identifier for this particular occurrence of the problem. |
| `error.status` | int | The HTTP status code applicable to this problem, expressed as a string value. |
| `error.detail` | string? | Explanation specific to this occurrence of the problem. Like title, this field's value can be localized. |
| `error.meta` | object? | A meta object containing non-standard meta-information about the error. |
| `error.code` | string | An application-specific error code, expressed as a string value. |
| `time` | int? |  |

## Code Samples

### cURL

```bash
curl "https://api.search.brave.com/res/v1/local/place_search?q=coffee+shops&latitude=37.7749&longitude=-122.4194&radius=1000" \
  -H "Accept: application/json" \ 
  -H "Accept-Encoding: gzip" \ 
  -H "X-Subscription-Token: <YOUR_API_KEY>"
```

### Python

```python
import requests

url = "https://api.search.brave.com/res/v1/local/place_search"

params = {
    "q": "coffee shops",
    "latitude": "37.7749",
    "longitude": "-122.4194",
    "radius": "1000"
}

headers = {
    "Accept": "application/json",
    "Accept-Encoding": "gzip",
    "X-Subscription-Token": "<YOUR_API_KEY>"
}

response = requests.get(url, params=params, headers=headers)
print(response.json())
```